Subject: Re: [ANNONCE] new release of tcsh for B20.1 [was Re: TCSH?]
From: [email-masked] (Corinna Vinschen)

18 Dec 1998 22:57:15 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Joseph M. Reagle Jr." <[email-masked]>, [email-masked]

Joseph M. Reagle Jr. wrote:
> 
> Unfortunately, that worked for a little while (to use ^z) in this
> configuration, but got weird display problems... and then the ability went

Maybe. I have problems, too, if I suspend less-332 and put it back to fg.
Output doesn't work anymore, but after quitting less, anything works again
correct.

> away for some reason, I think it has to do with the *.pifs (do these things
> still exist in windows as files, or are they in the registry?) that got

Prehistoric Windows 3.1 stuff. Still exists only for compatibility.

> [...]
> d:\etc\bin\tcsh.bat
> echo off
> set tmp=d:\temp

Better create /tmp instead.

> set home=d:\user\reagle
> set CYGWIN="tty"
> set term=linux
> cd d:\user\reagle

Create a directory /etc and a csh script `/etc/csh.login'.
Do systemwide settings for login with tcsh on your system
and, at last command in the file, write `cd'. You may then
erase the previous line and, if $HOME is set correct, the
file $HOME/.tcshrc is read, too.

> d:\etc\bin\tcsh.exe

start it as login shell:

  d:\...\tcsh.exe -l

It then reads the above mentioned /etc/csh.login and, if it exists,
/etc/csh.cshrc
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".